// ---------------------------------------------------------------------------
//	M88 - PC-8801 Emulator
//	Copyright (C) cisc 1998, 1999.
// ---------------------------------------------------------------------------
//	$Id: WinJoy.h,v 1.4 2002/04/07 05:40:10 cisc Exp $

#if !defined(win32_winjoy_h)
#define win32_winjoy_h

#include "device.h"
#include "if/ifui.h"

class WinPadIF : public IPadInput
{
public:
	WinPadIF();
	~WinPadIF();

	bool Init();
	
	long IFCALL QueryInterface(REFIID, void**);
	ulong IFCALL AddRef();
	ulong IFCALL Release();

	void IFCALL GetState(PadState*);

private:
	ulong refcount;
	bool enabled;
};


#endif // !defined(win32_winjoy_h)
